restinio::utils::restinio_default_unescape_traits Struct Reference

The default traits for escaping and unexcaping symbols in a query string. More...

`#include <percent_encoding.hpp>`

Inheritance diagram for restinio::utils::restinio_default_unescape_traits:

## Static Public Member Functions

static constexpr bool | ordinary_char (char c) noexcept

## Detailed Description

The default traits for escaping and unexcaping symbols in a query string.

Unescaped asterisk is not allowed.

Since
  v.0.4.9.1

Definition at line 35 of file percent_encoding.hpp.

## Member Function Documentation

## ordinary_char()

static constexpr bool restinio::utils::restinio_default_unescape_traits::ordinary_char | ( | char | c | ) |

inlinestaticconstexprnoexcept

Definition at line 38 of file percent_encoding.hpp.

The documentation for this struct was generated from the following file:

- restinio/utils/percent_encoding.hpp